#!/bin/bash
#
# Copyright (c) 2006 by Eric Tiedemann. See file COPYING.
#

set -e -x

wd=`pwd`
project=`basename $wd`
timestamp=`date +%Y%m%d%H%M%S`
relname="${project}-${timestamp}"
tarball="${relname}.tgz"
checksum="${relname}.tgz.sha256"

mkdir $relname
cp -rp _darcs/current/* $relname
chmod ugo+x $relname/configure

tar czvf $tarball $relname

shasum -a 256 $tarball >$checksum

# since and existing rel-latest link will point to a directory, ln -sf
# won't do what we want
rm -f rel-latest && ln -s $relname rel-latest
